xine-lib: xine_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_s Struct Reference

`#include <xine_internal.h>`

## Data Fields
config_values_t * | config
plugin_catalog_t * | plugin_catalog
int | verbosity
int | demux_strategy
const char * | save_path
scratch_buffer_t * | log_buffers [3]
xine_list_t * | streams
pthread_mutex_t | streams_lock
metronom_clock_t * | clock
xdgHandle | basedir_handle

## Field Documentation

## ◆ basedir_handle

xdgHandle xine_s::basedir_handle

Handle for libxdg-basedir functions.

Referenced by _x_osd_renderer_init(), and load_channels().

## ◆ clock

metronom_clock_t* xine_s::clock

Referenced by _x_ao_new_port(), _x_get_fine_speed(), _x_spu_decoder_sleep(), _x_vo_new_port(), dxr3_open_plugin(), lock_run(), set_speed_internal(), stretch_port_close(), stretch_port_open(), and xine_get_current_vpts().

## ◆ config

config_values_t* xine_s::config

Referenced by _get_dir(), _get_dir_es(), _get_files(), _get_instance(), _get_servers(), _glx_get_instance(), _module_dispose(), _openssl_init_class(), _x_alphablend_init(), _x_ao_new_port(), _x_audio_decoder_init(), _x_metronom_init(), _x_osd_renderer_init(), _x_real_codecs_init(), _x_spu_misc_init(), _x_video_decoder_init(), _x_vo_new_port(), ao_alsa_mixer_init(), ao_sun_open_plugin(), bluray_class_dispose(), bluray_init_plugin(), cdda_class_dispose(), dispose_audio_class(), dvb_plugin_open(), dvb_spu_class_open_plugin(), dvbspeed_init(), dvd_class_dispose(), dxr3_open_plugin(), dxr3_scr_init(), dxr3_spudec_open_plugin(), dxr3_vo_init_plugin(), dxr3_vo_open_plugin(), faad_class_dispose(), faad_init_plugin(), fb_open_plugin(), file_input_init_plugin(), glx_init_class(), gnutls_init_class(), goom_init_plugin(), init_audio_plugin(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_plugin(), init_plugin(), init_plugin(), init_radio_class(), init_spu_decoder_plugin(), init_spu_decoder_plugin(), init_spu_decoder_plugin(), init_spu_decoder_plugin(), init_sputext_demux_class(), init_video_class(), init_video_plugin(), input_ftp_init_class(), input_hls_init_class(), input_http_init_class(), input_mpegdash_init_class(), lavc_on_update_format(), mms_class_dispose(), nfs_init_class(), open_internal(), open_jack_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin_2(), open_plugin_fb(), opengl2_open_plugin(), opengl_open_plugin(), osd_renderer_close(), pgx64_init_driver(), qta_init_class(), qtv_init_class(), rtsp_session_start(), sftp_init_class(), spudec_dispose(), tuner_set_channel(), update_fast_memcpy(), v4l_class_get_instance(), v4l_class_get_radio_instance(), v4l_class_get_video_instance(), vaapi_open_plugin(), vcd_class_dispose(), vdpau_open_plugin(), w32a_init_class(), w32v_init_class(), xine_config_load(), xine_config_register_bool(), xine_config_register_enum(), xine_config_register_filename(), xine_config_register_num(), xine_config_register_range(), xine_config_register_string(), xine_config_save(), xine_config_unregister_callbacks(), xine_dispose_internal(), xine_nbc_init(), xine_probe_fast_memcpy(), xine_side_dispose_internal(), xshm_open_plugin(), and xshm_open_plugin_2().

## ◆ demux_strategy

int xine_s::demux_strategy

Referenced by _x_find_demux_plugin().

## ◆ log_buffers

scratch_buffer_t* xine_s::log_buffers[3]

## ◆ plugin_catalog

plugin_catalog_t* xine_s::plugin_catalog

Referenced by _build_list_typed_plugins(), _get_demux_strings(), _x_decoder_available(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), _x_find_input_plugin(), _x_find_module(), _x_free_audio_decoder(), _x_free_audio_driver(), _x_free_demux_plugin(), _x_free_input_plugin(), _x_free_module(), _x_free_spu_decoder(), _x_free_video_decoder(), _x_free_video_driver(), _x_get_audio_decoder(), _x_get_spu_decoder(), _x_get_video_decoder(), xine_get_demux_for_mime_type(), xine_list_post_plugins_typed(), xine_open(), xine_plugins_garbage_collector(), and xine_post_init().

## ◆ save_path

const char* xine_s::save_path

Referenced by _x_rip_plugin_get_instance().

## ◆ streams

xine_list_t* xine_s::streams

Referenced by xine_dispose_internal().

## ◆ streams_lock

pthread_mutex_t xine_s::streams_lock

Referenced by xine_dispose_internal().

## ◆ verbosity

int xine_s::verbosity

Referenced by init_class(), init_input_class(), play_internal(), print_cdrom_toc(), reportIP(), xine_get_param(), and xine_set_param().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/xine_internal.h